Bug 812089 - RFE: provide remote spice display during installation (analogous to "vnc" option)
RFE: provide remote spice display during installation (analogous to "vnc" opt...
Status: NEW
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 13:55 EDT by David Jaša
Modified: 2017-04-28 09:19 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2012-04-12 13:55:07 EDT
Description of problem:
provide remote spice display during installation (analogous to "vnc" option). The prerequisite, Xspice X server is provided xorg-x11-server-Xspice package.

Version-Release number of selected component (if applicable):
Fedora 17

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jesse Keating 2012-07-05 13:17:28 EDT
Is there documentation somewhere about how to setup the server correctly?
Comment 2 David Jaša 2012-07-09 12:19:30 EDT
(In reply to comment #1)
> Is there documentation somewhere about how to setup the [xspice] server correctly?

Alon, could you reply to this, please?
Comment 4 Alon Levy 2012-07-10 02:08:15 EDT
(In reply to comment #1)
> Is there documentation somewhere about how to setup the server correctly?

See http://cgit.freedesktop.org/xorg/driver/xf86-video-qxl/tree/README.xspice

Basically it boils down to:

Xspice --port 5900 --disable-ticketing :3.0

All options that Xspice doesn't recognize are passed as is to X. Xspice is just a wrapper python script that sets up environment variables and ends by execve'ing Xorg.
Comment 5 Fedora Blocker Bugs Application 2013-01-30 10:29:50 EST
Proposed as Blocker for 19-alpha by joeuser@example.com using the blocker tracking app because:
 As a test of a new system for proposing blocker and freeze exception bugs. Not an actual proposal.
Comment 6 Fedora Blocker Bugs Application 2013-01-30 10:29:58 EST
Proposed as Freeze Exception for 19-alpha by joeuser@example.com using the blocker tracking app because:
 As a test of a new system for proposing blocker and freeze exception bugs. Not an actual proposal.
Comment 7 Tim Flink 2013-01-30 10:36:20 EST
Apologies for the noise, I'm testing a new method for proposing blockers and it wasn't supposed to actually modify the production bug.
Comment 8 Fedora Update System 2017-04-28 08:50:13 EDT
anaconda-26.21.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f620d8c7c2
Comment 9 Martin Kolman 2017-04-28 09:19:08 EDT
Looks like the Bodhi web UI likes to add random unrelated bugs to an update...

Note You need to log in before you can comment on or make changes to this bug.